using System;

namespace ConsoleApp1
{
    class Program
    {

        static void Nesusedni(string s, int a, int b)
        {
            if (Math.Abs(a - b) < 2)
            {
                int k = (a > b) ? 0 : 1;
                for (int i = 0; i < a + b; i++)
                {
                    if (i % 2 == k)
                    {
                       Console.Write(s[0]);
                    }
                    else
                    {
                        Console.Write(s[1]);
                    }
                }
                return r;
            }
            else
            {
Console.Write("nemoguce");
            }
            Console.WriteLine();
        }

        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] r = Console.ReadLine().Split();
            Nesusedni(s, int.Parse(r[0]), int.Parse(r[1]));
        }
    }
}